Show / Hide Table of Contents

# Struct FdtReader.KerningTableEntry

Kerning table entry.

##### Implements

System.IComparable<FdtReader.KerningTableEntry>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public struct KerningTableEntry : IComparable<FdtReader.KerningTableEntry>

### Fields

| Improve this Doc View Source

#### LeftSjis

Integer representation of a Shift_JIS character in reverse order, read in little endian, for the left character.

##### Declaration

    public ushort LeftSjis

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LeftUtf8

Integer representation of a Unicode character in UTF-8 in reverse order, read in little endian, for the left character.

##### Declaration

    public int LeftUtf8

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RightOffset

Horizontal offset adjustment for the right character.

##### Declaration

    public int RightOffset

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RightSjis

Integer representation of a Shift_JIS character in reverse order, read in little endian, for the right character.

##### Declaration

    public ushort RightSjis

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### RightUtf8

Integer representation of a Unicode character in UTF-8 in reverse order, read in little endian, for the right character.

##### Declaration

    public int RightUtf8

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Left

Gets the Unicode codepoint of the character for this entry in char type.

##### Declaration

    public readonly char Left { get; }

##### Property Value

Type | Description
--- | ---
System.Char |

| Improve this Doc View Source

#### LeftInt

Gets the Unicode codepoint of the character for this entry in int type.

##### Declaration

    public readonly int LeftInt { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Right

Gets the Unicode codepoint of the character for this entry in char type.

##### Declaration

    public readonly char Right { get; }

##### Property Value

Type | Description
--- | ---
System.Char |

| Improve this Doc View Source

#### RightInt

Gets the Unicode codepoint of the character for this entry in int type.

##### Declaration

    public readonly int RightInt { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### CompareTo(FdtReader.KerningTableEntry)

##### Declaration

    public int CompareTo(FdtReader.KerningTableEntry other)

##### Parameters

Type | Name | Description
--- | --- | ---
FdtReader.KerningTableEntry | other |

##### Returns

Type | Description
--- | ---
System.Int32 |

### Implements

System.IComparable<T>